Package org.springframework.security.web.server

# Interface ServerRedirectStrategy

All Known Implementing Classes:
  `DefaultServerRedirectStrategy`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ServerRedirectStrategy
A strategy for performing redirects.

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`sendRedirect(org.springframework.web.server.ServerWebExchange exchange, URI location)`
Performs a redirect based upon the provided `ServerWebExchange` and `URI`

## Method Details

### sendRedirect

reactor.core.publisher.Mono<Void> sendRedirect(org.springframework.web.server.ServerWebExchange exchange, URI location)
Performs a redirect based upon the provided `ServerWebExchange` and `URI`

Parameters:
  `exchange` - the `ServerWebExchange` to use
  `location` - the location to redirect to
Returns:
  `Mono<Void>` to indicate when redirect is complete